พิกเซล
GET https://0o0.online/api/pixels/
curl --request GET \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ตัวเลือก แรง | ลวดค้นหา |
| search_by | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาตคือ: name, pixel. |
| type | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: datetime, last_datetime |
| datetime_start | ตัวเลือก แรง | การกรองผลเริ่มต้นจากวันที่นี้ Y-m-d H:i:s รูปแบบ |
| datetime_end | ตัวเลือก แรง | กรองผลให้ถึงวันที่นี้ Y-m-d H:i:s รูปแบบ |
| order_by | ตัวเลือก แรง | ตารางที่ให้ผลลัพธ์โดย. หมายเลขที่ได้รับอนุญาตคือ: pixel_id, datetime, last_datetime, name. |
| order_type | ตัวเลือก แรง | การสั่งซื้อของผลลัพธ์ หมายเลขที่ได้รับอนุญาตคือ: ASC สําหรับคําสั่งที่สูงขึ้นและ DESC สําหรับคําสั่งซื้อที่ลง |
| page | ตัวเลือก ภายใน | หมายเลขหน้าที่คุณต้องการผลลัพธ์จาก. ข้อผิดพลาดในการ 1. |
| results_per_page | ตัวเลือก ภายใน | จํานวนผลที่คุณต้องการต่อหน้า หมายเลขที่ได้รับอนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000. ข้อผิดพลาดของ 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:35:32",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/pixels?page=1",
"last": "https://0o0.online/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/pixels?page=1"
}
}
GET https://0o0.online/api/pixels/{pixel_id}
curl --request GET \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:35:32",
}
}
POST https://0o0.online/api/pixels
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| type | จำเป็น แรง | หมายเลขที่ได้รับอนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | จำเป็น แรง | - |
| pixel | จำเป็น แรง | - |
curl --request POST \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/pixels/{pixel_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| type | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | ตัวเลือก แรง | - |
| pixel | ตัวเลือก แรง | - |
curl --request POST \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \